#### D.14.2.9 from_boolean_constant

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_constant(pb); pb pyobject

Return:
  constant polynomial

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring rs=0,(x,y,z),Dp;
    def rsb=boolean_poly_ring(rs);
    poly f=(x+y)*x+z;
    bpoly pp=f;
    from_boolean_constant(0);
    ==> 0
    from_boolean_constant(1);
    ==> 1
    from_boolean_constant(pp);
    ==> 1

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.